Skip to main content
`Ctrl`+`K`

# PetscDTPTrimmedSize

The size of the trimmed polynomial space of k-forms with a given degree and form degree, which can be evaluated in `PetscDTPTrimmedEvalJet()`.

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTPTrimmedSize(PetscInt dim, PetscInt degree, PetscInt formDegree, PetscInt *size)

## Input Parameters

- dim - the number of variables in the multivariate polynomials

- degree - the degree (sum of degrees on the variables in a monomial) of the trimmed polynomial space.

- formDegree - the degree of the form

## Output Parameter

- size - The number ((`dim` + `degree`) choose (`dim` + `formDegree`)) x ((`degree` + `formDegree` - 1) choose (`formDegree`))

## See Also

`PetscDTPTrimmedEvalJet()`

## Level

advanced

## Location

src/dm/dt/interface/dt.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages